import unittest
import os
from support import GNATCOLL_TestCase, chdir, pathsep


class Test(GNATCOLL_TestCase):
    @chdir("split")
    def test_split(self):
        self.gprbuild()
        self.runexec("obj/split", "split.expected")

    @chdir('time')
    def test_time(self):
        os.putenv("TZ", "GMT+2")
        self.gprbuild()
        self.runexec('run', '')
